## GcrSimpleCertificate

GcrSimpleCertificate — A certificate loaded from a memory buffer

## Functions

GcrCertificate * | gcr_simple_certificate_new ()
GcrCertificate * | gcr_simple_certificate_new_static ()

## Types and Values

struct | GcrSimpleCertificate
struct | GcrSimpleCertificateClass

## Object Hierarchy

        GObject
        ╰── GcrSimpleCertificate

## Implemented Interfaces

GcrSimpleCertificate implements GcrComparable and GcrCertificate.

## Description

An implementation of GcrCertificate which loads a certificate from DER data already located in memory.

To create a GcrSimpleCertificate object use the `gcr_simple_certificate_new()` or `gcr_simple_certificate_new_static()` functions.

## Functions

### gcr_simple_certificate_new ()

    GcrCertificate *
    gcr_simple_certificate_new (const guchar *data,
                                gsize n_data);

Create a new GcrSimpleCertificate for the raw DER data. The `data` memory is copied so you can dispose of it after this function returns.

#### Parameters

data | the raw DER certificate data. | [array length=n_data]
n_data | The length of `data` |

#### Returns

a new GcrSimpleCertificate.

[transfer full][type Gcr.SimpleCertificate]

### gcr_simple_certificate_new_static ()

    GcrCertificate *
    gcr_simple_certificate_new_static (const guchar *data,
                                       gsize n_data);

Create a new GcrSimpleCertificate for the raw DER data. The `data` memory is not copied and must persist until the GcrSimpleCertificate object is destroyed.

[skip]

#### Parameters

data | The raw DER certificate data. | [array length=n_data]
n_data | The length of `data` |

#### Returns

a new GcrSimpleCertificate.

[transfer full][type Gcr.SimpleCertificate]

## Types and Values

### struct GcrSimpleCertificate

    struct GcrSimpleCertificate;

A GcrCertificate which represents a certificate already in memory.

### struct GcrSimpleCertificateClass

    struct GcrSimpleCertificateClass {
    	GObjectClass parent_class;
    };

The class for GcrSimpleCertificate.

#### Members